zenilib: zenilib/jni/external/sdl/src/video/psp/SDL_pspgl_c.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Typedefs | Functions
SDL_pspgl_c.h File Reference
`#include <GLES/egl.h>`
`#include <GLES/gl.h>`
`#include "SDL_pspvideo.h"`

Go to the source code of this file.

## Classes

struct | SDL_GLDriverData

## Typedefs

typedef struct SDL_GLDriverData | SDL_GLDriverData

## Functions

SDL_GLContext | PSP_GL_CreateContext (_THIS, SDL_Window *window)
void * | PSP_GL_GetProcAddress (_THIS, const char *proc)
int | PSP_GL_GetSwapInterval (_THIS)
int | PSP_GL_LoadLibrary (_THIS, const char *path)
int | PSP_GL_MakeCurrent (_THIS, SDL_Window *window, SDL_GLContext context)
int | PSP_GL_SetSwapInterval (_THIS, int interval)
void | PSP_GL_SwapBuffers (_THIS)
void | PSP_GL_SwapWindow (_THIS, SDL_Window *window)
void | PSP_GL_UnloadLibrary (_THIS)

## Typedef Documentation

typedef struct SDL_GLDriverData SDL_GLDriverData

## Function Documentation

SDL_GLContext PSP_GL_CreateContext | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

Definition at line 76 of file SDL_pspgl.c.

void* PSP_GL_GetProcAddress | ( | _THIS | ,
|  | const char * | proc
| ) |  |

Definition at line 61 of file SDL_pspgl.c.

int PSP_GL_GetSwapInterval | ( | _THIS |  | ) |

Definition at line 169 of file SDL_pspgl.c.

int PSP_GL_LoadLibrary | ( | _THIS | ,
|  | const char * | path
| ) |  |

Definition at line 45 of file SDL_pspgl.c.

int PSP_GL_MakeCurrent | ( | _THIS | ,
|  | SDL_Window * | window,
|  | SDL_GLContext | context
| ) |  |

Definition at line 144 of file SDL_pspgl.c.

int PSP_GL_SetSwapInterval | ( | _THIS | ,
|  | int | interval
| ) |  |

Definition at line 155 of file SDL_pspgl.c.

void PSP_GL_SwapBuffers | ( | _THIS |  | ) |

void PSP_GL_SwapWindow | ( | _THIS | ,
|  | SDL_Window * | window
| ) |  |

Definition at line 175 of file SDL_pspgl.c.

void PSP_GL_UnloadLibrary | ( | _THIS |  | ) |

Definition at line 67 of file SDL_pspgl.c.